Bug 1092213 - AccessAuditContext domainUUID is not set when the domain-uuid header is set
Summary: AccessAuditContext domainUUID is not set when the domain-uuid header is set
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER4
: EAP 6.3.0
Assignee: Brian Stansberry
QA Contact: Ondrej Lukas
Nichola Moore
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-29 02:38 UTC by Brian Stansberry
Modified: 2014-08-12 02:08 UTC (History)
5 users (show)

(edit)
Previous releases of JBoss EAP 6 contained a bug wherein `PrepareStepHandler` created a UUID and set "operations-headers" => "domain-uuid" on an operation, but did not then pass that UUID to AccessAuditContext.

In a managed domain operation for an operation on the domain controller, this meant the domainUUID field in the audit log record had no value, however the operation field that showed the operation that was invoked includes a domain-uuid operation header.

This issue has been resolved in this release of the product.
Clone Of:
(edit)
Last Closed: 2014-06-28 15:32:07 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2997 Major Resolved AccessAuditContext domainUUID is not set when the domain-uuid header is set 2016-08-16 13:23 UTC

Description Brian Stansberry 2014-04-29 02:38:54 UTC
Description of problem:

org.jboss.as.domain.controller.operations.coordination.PrepareStepHandler creates a UUID and sets "operations-headers" => "domain-uuid" on the op, but it does not pass the same UUID to AccessAuditContext. The result is the log record has null in the domainUUID field but the operation headers part of the "ops" field shows the uuid. Confusing.

How reproducible:

Always.

Steps to Reproduce:
1. Start a managed domain
2. Turn on management audit logging.
3. Invoke an operation and check the audit log

Actual results:

The domainUUID field in the audit log record has no value but the op field that shows the operation that was invoked includes a domain-uuid operation header.

Expected results:

The domainUUID field in the audit log record has a value but there is no domain-uuid operation header.

Additional info:

Comment 2 Scott Mumford 2014-05-14 02:12:35 UTC
Refactored release note text for this as a Known Issue (ER4 fixes will not be picked up in the 6.3.0 Beta release)

Original note included here for use at 6.3.0 GA:

Cause: 

PrepareStepHandler creates a UUID and sets "operations-headers" => "domain-uuid" on the op, but it does not pass the same UUID to AccessAuditContext.

Consequence: 

In a managed domain operation for an operation on the domain controller, the domainUUID field in the audit log record has no value but the op field that shows the operation that was invoked includes a domain-uuid operation header.

Fix: 

PrepareStepHandler passes the UUID to AccessAuditContext making it available for use in the audit log, while the OperationContextImpl caches a copy of the operation prior to any modifications ensuring that headers added for internal reasons during execution are not recorded in the log.

Result: 

The domainUUID field in the audit log record has a value but there is no domain-uuid operation header.

Comment 3 Zbyněk Roubalík 2014-05-16 09:10:24 UTC
Verified on EAP 6.3.0.ER4


Note You need to log in before you can comment on or make changes to this bug.